var error_code_handle = function(xhr, type, errorThrown) {
	switch (parseInt(xhr.status)) {
		case 200:
			logs(xhr, type, errorThrown)
			return 200;
			break;
		case 401:
			logs(xhr, type, errorThrown);
			mui.toast("用户名错误或密码错误!");
			break;
		case 402:
			logs(xhr, type, errorThrown);
			mui.toast("您的账号已在其他设备上登录");
			mui.fire(plus.webview.getLaunchWebview(), "switchTo", {
				target: "signin.html",
				title: "登录"
			});
			break;
		case 400:
			logs(xhr, type, errorThrown);
			break;
		case 403:
			logs(xhr, type, errorThrown);
			mui.toast("登录超时,请重新登录.");
			mui.fire(plus.webview.getLaunchWebview(), "switchTo", {
				target: "signin.html",
				title: "登录"
			});
			if (plus.webview.currentWebview().id != "home.html" && plus.webview.currentWebview().id != "me.html" && plus.webview.currentWebview().id != "transactions_list.html" && plus.webview.currentWebview().id != "signin.html" && plus.webview.currentWebview().id != "signup.html") {
				plus.webview.close(plus.webview.currentWebview(), 'none', 0);
			}
			break;
		case 404:
			logs(xhr, type, errorThrown);
			mui.toast("访问的地址未找到!");
			break;
		case 405:
			logs(xhr, type, errorThrown);
			mui.toast("参数异常,请重新打开应用");
			break;
		case 406:
			logs(xhr, type, errorThrown);
			mui.toast("亲... 您还没有登录.");
			setState();
			mui.fire(plus.webview.getLaunchWebview(), "switchTo", {
				target: "signin.html",
				title: "登录",
				from: plus.webview.currentWebview().id
			});
			setTimeout(function() {
				if (plus.webview.currentWebview().id != "me.html") {
					plus.webview.close(plus.webview.currentWebview(), 'none', 0)
				}
			}, 1500);
			break;
		case 500:
			logs(xhr, type, errorThrown);
			mui.toast("服务器维护中...请稍后再试.")
			setState();
			if (plus.webview.currentWebview().id != 'me.html' && plus.webview.currentWebview().id != 'shopping_cart.html' && plus.webview.currentWebview().id != 'home.html' && plus.webview.currentWebview().id != 'signin.html' && plus.webview.currentWebview().id != "signup.html" && plus.webview.currentWebview().id != "HBuilder") {
				plus.webview.currentWebview().hide('none', 0)
			} else {
				mui.fire(plus.webview.getLaunchWebview(), "switchTo", {
					target: "signin.html",
					title: "登录"
				});
			}
			break;
		case 408:
			logs(xhr, type, errorThrown);
			mui.toast("该用户不存在.");
			break;
		case 409:
			logs(xhr, type, errorThrown);
			mui.toast("验证码错误.");
			break;
		case 410:
			logs(xhr, type, errorThrown);
			plus.nativeUI.toast("当前手机号码已注册，请直接登录!");
			setTimeout(function() {
				plus.webview.close(plus.webview.currentWebview());
				plus.webview.getWebviewById("signin.html").show('slide-in-right', 200);
			}, 300);
			break;
		case 411:
			logs(xhr, type, errorThrown);
			plus.nativeUI.toast("获取验证码失败!");
			break;
		case 412:
			logs(xhr, type, errorThrown);
			plus.nativeUI.toast("您今日获取验证码的次数已达上限.");
			break;
		case 413:
			logs(xhr, type, errorThrown);
			plus.nativeUI.toast("删除失败.");
			break;
		default:
			logs(xhr, type, errorThrown);
			console.log("未知错误...")
			break;
	}
}
var logs = function(xhr, type, errorThrown) {
	console.log("Code:  " + xhr.status + "\nView:  " + plus.webview.currentWebview().id + "\nStatusText: " + xhr.statusText + "\nerrorThrown:  " + errorThrown + "\nType:  " + type + "\n");
	if (document.querySelector("#pullrefresh") != null && document.querySelector("#pullrefresh") != undefined && document.querySelector("#pullrefresh") != "undefined") {
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true) || mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
	}
}