//获取资料信息
var get_information = function() {
		mui.ajax(BASE_URL + 'user_info', {
			data: {
				token: getState().token,
			},
			dataType: 'json',
			type: 'get', //HTTP请求类型
			timeout: '10000', //超时时间设置为10秒；
			success: function(data) {
				document.getElementById('p5-me-avatar').src = "data:image/jpeg;base64," + data.avatur;
				document.getElementById('name').innerHTML = data.name == ('' || null || undefined) ? "您还未设置昵称" : data.name;
				document.getElementById('cellphone').innerHTML = data.cellphone;
				document.getElementById('address').innerHTML = data.user_address;
			},
			error: function(xhr, type, errorThrown) {
				error_code_handle(xhr, type, errorThrown)
			},
		});
	}
	//退出登录
document.getElementById('logout').addEventListener('tap', function(event) {
	mui.ajax(BASE_URL + 'signout', {
		data: {
			token: getState().token,
		},
		type: 'post',
		dataType: 'json',
		timeout: 1000,
		success: function() {
			setState();
			plus.webview.hide(plus.webview.currentWebview());
			mui.fire(plus.webview.getLaunchWebview(), 'switchTo', {
				target: 'signin.html',
				title: '登录'
			});
		},
		error: function(xhr, type, errorThrown) {
			setState();
			plus.webview.hide(plus.webview.currentWebview());
			mui.fire(plus.webview.getLaunchWebview(), 'switchTo', {
				target: 'signin.html',
				title: '登录'
			});
			error_code_handle(xhr, type, errorThrown);
		}
	});
});
window.addEventListener("updataTabs", function(e) {
	get_information();
});
mui.plusReady(function() {
	if (mui.os.ios) {
		if (document.querySelector(".mui-content").clientWidth <= 320) {
			document.querySelector(".p5-avatar-description").style.width = "65%";
		}
	}
});